Skip to main content
GET
/
domains
/
{id}
Get a domain
curl --request GET \
  --url https://api.sendkit.dev/domains/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sendkit.dev/domains/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sendkit.dev/domains/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "yourdomain.com",
  "status": "verified",
  "region": "us-east-2",
  "open_tracking": true,
  "click_tracking": true,
  "tls": "opportunistic",
  "sending_enabled": true,
  "dns_records": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "record_type": "DKIM",
      "name": "sendkit._domainkey.yourdomain.com",
      "value": "v=DKIM1; k=rsa; p=MIGfMA0...",
      "ttl": 3600,
      "status": "verified",
      "priority": 10,
      "created_at": "2026-03-03 10:00:00",
      "updated_at": "2026-03-03 10:00:00"
    }
  ],
  "created_at": "2026-03-03 10:00:00",
  "updated_at": "2026-03-03 10:00:00"
}
{
"message": "Invalid API key."
}
{
"message": "Not found."
}

Authorizations

Authorization
string
header
required

API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.

Path Parameters

id
string<uuid>
required

The domain ID.

Response

Domain details

id
string<uuid>

Unique identifier.

Example:

"550e8400-e29b-41d4-a716-446655440000"

name
string

The domain name.

Example:

"yourdomain.com"

status
enum<string>

The current verification status of the domain.

Available options:
not_started,
pending,
verified,
partially_verified,
failed,
temporary_failure
Example:

"verified"

region
enum<string>

The AWS region where the domain is configured.

Available options:
sa-east-1,
us-east-2,
eu-central-1
Example:

"us-east-2"

open_tracking
boolean

Whether open tracking is enabled.

Example:

true

click_tracking
boolean

Whether click tracking is enabled.

Example:

true

tls
enum<string>

The TLS delivery mode.

Available options:
opportunistic,
enforced
Example:

"opportunistic"

sending_enabled
boolean

Whether sending is enabled for this domain.

Example:

true

dns_records
object[]

The DNS records that need to be configured for this domain.

created_at
string<date-time>

When the domain was created.

Example:

"2026-03-03 10:00:00"

updated_at
string<date-time>

When the domain was last updated.

Example:

"2026-03-03 10:00:00"